--- ncurses-5.2/aclocal.m4.ac25	Tue Feb 12 13:10:29 2002
+++ ncurses-5.2/aclocal.m4	Tue Feb 12 13:11:14 2002
@@ -936,6 +936,11 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
+dnl AC_DIVERT_HELP implementation for autoconf 2.5x
+dnl ---------------------------------------------------------------------------
+AC_DEFUN([AC_DIVERT_HELP],
+[m4_divert_once([HELP_WITH], [$1])])dnl
+dnl ---------------------------------------------------------------------------
 dnl Insert text into the help-message, for readability, from AC_ARG_WITH.
 AC_DEFUN([CF_HELP_MESSAGE],
 [AC_DIVERT_HELP([$1])dnl
--- ncurses-5.2/aclocal.m4.ac	Tue Feb 12 13:37:52 2002
+++ ncurses-5.2/aclocal.m4	Tue Feb 12 13:55:03 2002
@@ -138,7 +138,7 @@
 if test ".$cf_cv_ansi_cc" != ".-DCC_HAS_PROTOS"; then
 	CF_ADD_CFLAGS($cf_cv_ansi_cc)
 else
-	AC_DEFINE(CC_HAS_PROTOS)
+	AC_DEFINE(CC_HAS_PROTOS, 1, [Define if your compiler supports prototypes])
 fi
 fi
 ])dnl
@@ -321,7 +321,7 @@
 	[cf_cv_cgetent=no])
 ])
 AC_MSG_RESULT($cf_cv_cgetent)
-test "$cf_cv_cgetent" = yes && AC_DEFINE(HAVE_BSD_CGETENT)
+test "$cf_cv_cgetent" = yes && AC_DEFINE(HAVE_BSD_CGETENT, 1, [Define if you have a BSD style cgetent])
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl Check if we're accidentally using a cache from a different machine.
@@ -342,7 +342,7 @@
 		system_name="`(hostname) 2>/dev/null`"
 	fi
 fi
-test -n "$system_name" && AC_DEFINE_UNQUOTED(SYSTEM_NAME,"$system_name")
+test -n "$system_name" && AC_DEFINE_UNQUOTED(SYSTEM_NAME,"$system_name",[OS Name])
 AC_CACHE_VAL(cf_cv_system_name,[cf_cv_system_name="$system_name"])
 
 test -z "$system_name" && system_name="$cf_cv_system_name"
@@ -436,7 +436,7 @@
 	AC_LANG_RESTORE
 ])
 fi
-test "$cf_cv_cpp_param_init" = yes && AC_DEFINE(CPP_HAS_PARAM_INIT)
+test "$cf_cv_cpp_param_init" = yes && AC_DEFINE(CPP_HAS_PARAM_INIT, 1, [Define if your C++ understands second initializers])
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl Check if the g++ compiler supports vscan function (not a standard feature).
@@ -501,16 +501,16 @@
 
 case $cf_cv_cpp_vscan_func in #(vi
 stdio) #(vi
-	AC_DEFINE(CPP_HAS_VSCAN_FUNC)
-	AC_DEFINE(USE_STDIO_VSCAN)
+	AC_DEFINE(CPP_HAS_VSCAN_FUNC, 1, [Define if you have vscan])
+	AC_DEFINE(USE_STDIO_VSCAN, 1, [Define to use stdio's vscan])
 	;;
 strstream)
-	AC_DEFINE(CPP_HAS_VSCAN_FUNC)
-	AC_DEFINE(USE_STRSTREAM_VSCAN)
+	AC_DEFINE(CPP_HAS_VSCAN_FUNC, 1, [Define if you have vscan])
+	AC_DEFINE(USE_STRSTREAM_VSCAN, 1, [Define to use strstream::vscan])
 	;;
 strstream_cast)
-	AC_DEFINE(CPP_HAS_VSCAN_FUNC)
-	AC_DEFINE(USE_STRSTREAM_VSCAN_CAST)
+	AC_DEFINE(CPP_HAS_VSCAN_FUNC, 1, [Define if you have vscan])
+	AC_DEFINE(USE_STRSTREAM_VSCAN_CAST, 1, [Define to use strstream_cast::vscan])
 	;;
 esac
 ])dnl
@@ -594,9 +594,9 @@
 		])
 	],[cf_cv_good_bcopy=no])
 	if test "$cf_cv_good_bcopy" = yes ; then
-		AC_DEFINE(USE_OK_BCOPY)
+		AC_DEFINE(USE_OK_BCOPY, 1, [Define if your bcopy works])
 	else
-		AC_DEFINE(USE_MY_MEMMOVE)
+		AC_DEFINE(USE_MY_MEMMOVE, 1, [Define if you need the memmove replacement])
 	fi
 ])])dnl
 dnl ---------------------------------------------------------------------------
@@ -624,7 +624,7 @@
 	[cf_cv_working_poll=yes],
 	[cf_cv_working_poll=no],
 	[cf_cv_working_poll=unknown])])
-test "$cf_cv_working_poll" = "yes" && AC_DEFINE(HAVE_WORKING_POLL)
+test "$cf_cv_working_poll" = "yes" && AC_DEFINE(HAVE_WORKING_POLL, 1, [Define if your poll function works])
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl Some old/broken variations define tcgetattr() only as a macro in
@@ -651,7 +651,7 @@
 tcgetattr(1, &foo);],
 [cf_cv_have_tcgetattr=yes],
 [cf_cv_have_tcgetattr=no])])
-test "$cf_cv_have_tcgetattr" = yes && AC_DEFINE(HAVE_TCGETATTR)
+test "$cf_cv_have_tcgetattr" = yes && AC_DEFINE(HAVE_TCGETATTR, 1, [Define if you have tcgetattr])
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl Check for vsscanf() function, which is in c9x but generally not in earlier
@@ -690,9 +690,9 @@
 cf_cv_func_vsscanf=no])])])])
 
 case $cf_cv_func_vsscanf in #(vi
-vsscanf) AC_DEFINE(HAVE_VSSCANF);; #(vi
-vfscanf) AC_DEFINE(HAVE_VFSCANF);; #(vi
-_doscan) AC_DEFINE(HAVE__DOSCAN);;
+vsscanf) AC_DEFINE(HAVE_VSSCANF, 1, [Define if you have vsscanf]);; #(vi
+vfscanf) AC_DEFINE(HAVE_VFSCANF, 1, [Define if you have vfscanf]);; #(vi
+_doscan) AC_DEFINE(HAVE__DOSCAN, 1, [Define if you have __doscan]);;
 esac
 
 ])dnl
@@ -919,9 +919,9 @@
 	[cf_cxx_library=yes
 	 CXXLIBS="$CXXLIBS -l$cf_gpp_libname"
 	 if test "$cf_gpp_libname" = cpp ; then
-	    AC_DEFINE(HAVE_GPP_BUILTIN_H)
+	    AC_DEFINE(HAVE_GPP_BUILTIN_H, 1, [Define if you have g++/builtin.h])
 	 else
-	    AC_DEFINE(HAVE_GXX_BUILTIN_H)
+	    AC_DEFINE(HAVE_GXX_BUILTIN_H, 1, [Define if you have g++/builtin.h])
 	 fi],
 	[AC_TRY_LINK([
 #include <builtin.h>
@@ -929,7 +929,7 @@
 	[two_arg_error_handler_t foo2 = lib_error_handler],
 	[cf_cxx_library=yes
 	 CXXLIBS="$CXXLIBS -l$cf_gpp_libname"
-	 AC_DEFINE(HAVE_BUILTIN_H)],
+	 AC_DEFINE(HAVE_BUILTIN_H, 1, [Define if you have builtin.h])],
 	[cf_cxx_library=no])])
 	LIBS="$cf_save"
 	AC_MSG_RESULT($cf_cxx_library)
@@ -980,7 +980,7 @@
 	[cf_cv_have_isascii=no])
 ])dnl
 AC_MSG_RESULT($cf_cv_have_isascii)
-test "$cf_cv_have_isascii" = yes && AC_DEFINE(HAVE_ISASCII)
+test "$cf_cv_have_isascii" = yes && AC_DEFINE(HAVE_ISASCII, 1, [Define if you have the isascii macro])
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl Check for libutf8
@@ -997,7 +997,7 @@
 ])
 
 if test "$cf_cv_libutf8" = yes ; then
-	AC_DEFINE(HAVE_LIBUTF8_H)
+	AC_DEFINE(HAVE_LIBUTF8_H, 1, [Define if you have libutf8])
 	LIBS="-lutf8 $LIBS"
 fi
 ])dnl
@@ -1459,7 +1459,7 @@
 AC_MSG_RESULT($cf_cv_link_dataonly)
 
 if test "$cf_cv_link_dataonly" = no ; then
-	AC_DEFINE(BROKEN_LINKER)
+	AC_DEFINE(BROKEN_LINKER, 1, [Define if your linker is broken])
 	BROKEN_LINKER=1
 fi
 
@@ -1991,11 +1991,11 @@
 	[cf_cv_mbstate_t=unknown])])])
 
 if test "$cf_cv_mbstate_t" = yes ; then
-	AC_DEFINE(NEED_WCHAR_H)
+	AC_DEFINE(NEED_WCHAR_H, 1, [Define if you need wchar.h])
 fi
 
 if test "$cf_cv_mbstate_t" != unknown ; then
-	AC_DEFINE(HAVE_MBSTATE_T)
+	AC_DEFINE(HAVE_MBSTATE_T, 1, [Define if you have mbstate_t])
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
@@ -2013,7 +2013,7 @@
 	fi
 	rm -f conftest CONFTEST
 ])
-test "$cf_cv_mixedcase" = yes && AC_DEFINE(MIXEDCASE_FILENAMES)
+test "$cf_cv_mixedcase" = yes && AC_DEFINE(MIXEDCASE_FILENAMES, 1, [Define if you can use mixed case filenames])
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl Check for a working mkstemp.  This creates two files, checks that they are
@@ -2060,7 +2060,7 @@
 ])
 ])
 if test "$cf_cv_func_mkstemp" = yes ; then
-	AC_DEFINE(HAVE_MKSTEMP)
+	AC_DEFINE(HAVE_MKSTEMP, 1, [Define if you have mkstemp])
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
@@ -2141,7 +2141,7 @@
     ;;
 esac
 AC_SUBST(PROG_EXT)
-test -n "$PROG_EXT" && AC_DEFINE_UNQUOTED(PROG_EXT,"$PROG_EXT")
+test -n "$PROG_EXT" && AC_DEFINE_UNQUOTED(PROG_EXT,"$PROG_EXT", [Executable filename extension])
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl Force $INSTALL to be an absolute-path.  Otherwise, edit_man.sh and the
@@ -2186,9 +2186,9 @@
 ])
 AC_MSG_RESULT($cf_cv_regex)
 case $cf_cv_regex in
-	regex.h)   AC_DEFINE(HAVE_REGEX_H_FUNCS) ;;
-	regexp.h)  AC_DEFINE(HAVE_REGEXP_H_FUNCS) ;;
-	regexpr.h) AC_DEFINE(HAVE_REGEXPR_H_FUNCS) ;;
+	regex.h)   AC_DEFINE(HAVE_REGEX_H_FUNCS, 1, [Define if you have regex.h]) ;;
+	regexp.h)  AC_DEFINE(HAVE_REGEXP_H_FUNCS, 1, [Define if you have regexp.h]) ;;
+	regexpr.h) AC_DEFINE(HAVE_REGEXPR_H_FUNCS, 1, [Define if you have regexpr.h]) ;;
 esac
 ])dnl
 dnl ---------------------------------------------------------------------------
@@ -2507,7 +2507,7 @@
 done
 ])
 if test "$cf_cv_sizechange" != no ; then
-	AC_DEFINE(HAVE_SIZECHANGE)
+	AC_DEFINE(HAVE_SIZECHANGE, 1, [Define if you can change terminal sizes])
 	case $cf_cv_sizechange in #(vi
 	NEED*)
 		AC_DEFINE_UNQUOTED($cf_cv_sizechange )
@@ -2664,7 +2664,7 @@
 #include <signal.h>],
 	[struct sigaction act],
 	[sigact_bad=yes
-	 AC_DEFINE(SVR4_ACTION)],
+	 AC_DEFINE(SVR4_ACTION, 1, [Define if you have a SVR4 style sigaction type])],
 	 [sigact_bad=unknown])])
 AC_MSG_RESULT($sigact_bad)
 fi
@@ -2697,7 +2697,7 @@
 #include <termios.h>],
 			[struct termios foo; int x = foo.c_iflag],
 			termios_bad=unknown,
-			termios_bad=yes AC_DEFINE(SVR4_TERMIO))
+			termios_bad=yes AC_DEFINE(SVR4_TERMIO, 1, [Define if you have a SVR4 style termio]))
 			])
 	AC_MSG_RESULT($termios_bad)
 	fi
@@ -2762,7 +2762,7 @@
      [cf_cv_sys_time_select=no])
      ])
 AC_MSG_RESULT($cf_cv_sys_time_select)
-test "$cf_cv_sys_time_select" = yes && AC_DEFINE(HAVE_SYS_TIME_SELECT)
+test "$cf_cv_sys_time_select" = yes && AC_DEFINE(HAVE_SYS_TIME_SELECT, 1, [Define if you can include both sys/time.h and sys/select.h])
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl Determine the type we should use for chtype (and attr_t, which is treated
@@ -2825,7 +2825,7 @@
 AC_MSG_RESULT($cf_cv_typeof_chtype)
 
 AC_SUBST(cf_cv_typeof_chtype)
-AC_DEFINE_UNQUOTED(TYPEOF_CHTYPE,$cf_cv_typeof_chtype)
+AC_DEFINE_UNQUOTED(TYPEOF_CHTYPE,$cf_cv_typeof_chtype,[Type of chtype])
 
 cf_cv_1UL="1"
 test "$cf_cv_unsigned_literals" = yes && cf_cv_1UL="${cf_cv_1UL}U"
@@ -2845,7 +2845,7 @@
 		[cf_cv_type_sigaction=yes],
 		[cf_cv_type_sigaction=no])])
 AC_MSG_RESULT($cf_cv_type_sigaction)
-test "$cf_cv_type_sigaction" = yes && AC_DEFINE(HAVE_TYPE_SIGACTION)
+test "$cf_cv_type_sigaction" = yes && AC_DEFINE(HAVE_TYPE_SIGACTION, 1, [Define if you have sigaction_t])
 ])dnl
 dnl ---------------------------------------------------------------------------
 dnl Test if the compiler supports 'U' and 'L' suffixes.  Only old compilers
--- ncurses-5.2/configure.in.ac	Tue Feb 12 13:55:10 2002
+++ ncurses-5.2/configure.in	Tue Feb 12 14:01:12 2002
@@ -357,7 +357,7 @@
 	AC_CHECK_LIB(gpm,Gpm_Open,[
 		EXTRA_LIBS="-lgpm -lncurses $EXTRA_LIBS"
 		SHLIB_LIST="-lgpm $SHLIB_LIST"
-		AC_DEFINE(HAVE_LIBGPM)
+		AC_DEFINE(HAVE_LIBGPM, 1, [Define if you have libgpm])
 		AC_CHECK_HEADERS(gpm.h)
 	],AC_MSG_WARN(Cannot link with gpm library - read the FAQ))
 fi
@@ -433,7 +433,7 @@
 
 CF_PATHSEP
 if test "$use_database" != no ; then
-	AC_DEFINE(USE_DATABASE)
+	AC_DEFINE(USE_DATABASE, 1, [Define to use terminfo db])
 	AC_MSG_CHECKING(which terminfo source-file will be installed)
 	AC_ARG_ENABLE(database,
 		[  --with-database=XXX     specify terminfo source to install],
@@ -463,7 +463,7 @@
 	DATADIR/terminfo,
 	${datadir}/terminfo)
 AC_MSG_RESULT($TERMINFO_DIRS)
-test -n "$TERMINFO_DIRS" && AC_DEFINE_UNQUOTED(TERMINFO_DIRS,"$TERMINFO_DIRS")
+test -n "$TERMINFO_DIRS" && AC_DEFINE_UNQUOTED(TERMINFO_DIRS,"$TERMINFO_DIRS",[Terminfo directories])
 
 AC_MSG_CHECKING(for default terminfo directory)
 CF_WITH_PATH(default-terminfo-dir,
@@ -472,7 +472,7 @@
 	DATADIR/terminfo,
 	${datadir}/terminfo)
 AC_MSG_RESULT($TERMINFO)
-AC_DEFINE_UNQUOTED(TERMINFO,"$TERMINFO")
+AC_DEFINE_UNQUOTED(TERMINFO,"$TERMINFO",[Terminfo])
 
 fi
 
@@ -499,7 +499,7 @@
 	[with_big_core=no],
 	[with_big_core=no])])
 AC_MSG_RESULT($with_big_core)
-test "$with_big_core" = "yes" && AC_DEFINE(HAVE_BIG_CORE)
+test "$with_big_core" = "yes" && AC_DEFINE(HAVE_BIG_CORE, 1, [--with-big-core])
 
 ###	use option --enable-termcap to compile in the termcap fallback support
 AC_MSG_CHECKING(if you want termcap-fallback support)
@@ -515,17 +515,17 @@
 			AC_ERROR(You have disabled the database w/o specifying fallbacks)
 		fi
 	fi
-	AC_DEFINE(PURE_TERMINFO)
+	AC_DEFINE(PURE_TERMINFO, 1, [Pure terminfo])
 else
 
-AC_DEFINE(USE_TERMCAP)
+AC_DEFINE(USE_TERMCAP, 1, [Use termcap])
 AC_MSG_CHECKING(for list of termcap files)
 CF_WITH_PATHLIST(termpath,
 	[  --with-termpath=XXX     specify list of termcap files],
 	TERMPATH,
 	/etc/termcap:/usr/share/misc/termcap)
 AC_MSG_RESULT($TERMPATH)
-test -n "$TERMPATH" && AC_DEFINE_UNQUOTED(TERMPATH,"$TERMPATH")
+test -n "$TERMPATH" && AC_DEFINE_UNQUOTED(TERMPATH,"$TERMPATH",[Termcap PATH])
 
 ###	use option --enable-getcap to use a hacked getcap for reading termcaps
 AC_MSG_CHECKING(if fast termcap-loader is needed)
@@ -534,7 +534,7 @@
 	[with_getcap=$enableval],
 	[with_getcap=no])
 AC_MSG_RESULT($with_getcap)
-test "$with_getcap" = "yes" && AC_DEFINE(USE_GETCAP)
+test "$with_getcap" = "yes" && AC_DEFINE(USE_GETCAP, 1, [Use getcap])
 
 AC_MSG_CHECKING(if translated termcaps will be cached in ~/.terminfo)
 AC_ARG_ENABLE(getcap-cache,
@@ -542,7 +542,7 @@
 	[with_getcap_cache=$enableval],
 	[with_getcap_cache=no])
 AC_MSG_RESULT($with_getcap_cache)
-test "$with_getcap_cache" = "yes" && AC_DEFINE(USE_GETCAP_CACHE)
+test "$with_getcap_cache" = "yes" && AC_DEFINE(USE_GETCAP_CACHE, 1, [Use getcap cache])
 
 fi
 
@@ -578,8 +578,8 @@
     AC_MSG_RESULT($with_symlinks)
 fi
 
-test "$with_links" = yes && AC_DEFINE(USE_LINKS)
-test "$with_symlinks" = yes && AC_DEFINE(USE_SYMLINKS)
+test "$with_links" = yes && AC_DEFINE(USE_LINKS, 1, [Use hardlinks])
+test "$with_symlinks" = yes && AC_DEFINE(USE_SYMLINKS, 1, [Use symlinks])
 
 ###   use option --enable-broken-linker to force on use of broken-linker support
 AC_MSG_CHECKING(if you want broken-linker support code)
@@ -591,12 +591,12 @@
 
 BROKEN_LINKER=0
 if test "$with_broken_linker" = yes ; then
-	AC_DEFINE(BROKEN_LINKER)
+	AC_DEFINE(BROKEN_LINKER, 1, [Define if your linker is broken])
 	BROKEN_LINKER=1
 elif test $DFT_LWR_MODEL = shared ; then
 	case $cf_cv_system_name in #(vi
 	cygwin*)
-		AC_DEFINE(BROKEN_LINKER)
+		AC_DEFINE(BROKEN_LINKER, 1, [Define if your linker is broken])
 		BROKEN_LINKER=1
 		CF_VERBOSE(cygwin linker is broken anyway)
 		;;
@@ -629,7 +629,7 @@
 	[with_bsdpad=$enableval],
 	[with_bsdpad=no])
 AC_MSG_RESULT($with_bsdpad)
-test "$with_bsdpad" = yes && AC_DEFINE(BSD_TPUTS)
+test "$with_bsdpad" = yes && AC_DEFINE(BSD_TPUTS, 1, [Define if you have a BSD style tputs])
 
 ### Enable compiling-in rcs id's
 AC_MSG_CHECKING(if RCS identifiers should be compiled-in)
@@ -638,7 +638,7 @@
 	[with_rcs_ids=$withval],
 	[with_rcs_ids=no])
 AC_MSG_RESULT($with_rcs_ids)
-test "$with_rcs_ids" = yes && AC_DEFINE(USE_RCS_IDS)
+test "$with_rcs_ids" = yes && AC_DEFINE(USE_RCS_IDS, 1, [Build in RCS identifiers])
 
 ###############################################################################
 CF_MAN_PAGES([ captoinfo clear infocmp infotocap tic toe tput ])
@@ -655,12 +655,12 @@
 AC_MSG_RESULT($with_ext_funcs)
 if test "$with_ext_funcs" = yes ; then
 	NCURSES_EXT_FUNCS=1
-	AC_DEFINE(HAVE_CURSES_VERSION)
-	AC_DEFINE(HAVE_HAS_KEY)
-	AC_DEFINE(HAVE_RESIZETERM)
-	AC_DEFINE(HAVE_USE_DEFAULT_COLORS)
-	AC_DEFINE(HAVE_WRESIZE)
-	AC_DEFINE(NCURSES_EXT_FUNCS)
+	AC_DEFINE(HAVE_CURSES_VERSION, 1, [curses version])
+	AC_DEFINE(HAVE_HAS_KEY, 1, [has_key support])
+	AC_DEFINE(HAVE_RESIZETERM, 1, [resizeterm support])
+	AC_DEFINE(HAVE_USE_DEFAULT_COLORS, 1, [default colors])
+	AC_DEFINE(HAVE_WRESIZE, 1, [use wresize])
+	AC_DEFINE(NCURSES_EXT_FUNCS, 1, [extensions])
 else
 	NCURSES_EXT_FUNCS=0
 fi
@@ -685,7 +685,7 @@
 	[with_no_padding=$enableval],
 	[with_no_padding=$with_ext_funcs])
 AC_MSG_RESULT($with_no_padding)
-test "$with_no_padding" = yes && AC_DEFINE(NCURSES_NO_PADDING)
+test "$with_no_padding" = yes && AC_DEFINE(NCURSES_NO_PADDING, 1, [disable padding])
 
 ###   use option --enable-sigwinch to turn on use of SIGWINCH logic
 AC_MSG_CHECKING(if you want SIGWINCH handler)
@@ -694,7 +694,7 @@
 	[with_sigwinch=$enableval],
 	[with_sigwinch=$with_ext_funcs])
 AC_MSG_RESULT($with_sigwinch)
-test "$with_sigwinch" = yes && AC_DEFINE(USE_SIGWINCH)
+test "$with_sigwinch" = yes && AC_DEFINE(USE_SIGWINCH, 1, [build sigwinch handler])
 
 ###   use option --enable-tcap-names to allow user to define new capabilities
 AC_MSG_CHECKING(if you want user-definable terminal capabilities like termcap)
@@ -724,7 +724,7 @@
 	[with_colorfgbg=$enableval],
 	[with_colorfgbg=$with_develop])
 AC_MSG_RESULT($with_colorfgbg)
-test "$with_colorfgbg" = yes && AC_DEFINE(USE_COLORFGBG)
+test "$with_colorfgbg" = yes && AC_DEFINE(USE_COLORFGBG, 1, [use colorfgbg])
 
 ###   use option --enable-hard-tabs to turn on use of hard-tabs optimize
 AC_MSG_CHECKING(if you want hard-tabs code)
@@ -733,7 +733,7 @@
 	[with_hardtabs=$enableval],
 	[with_hardtabs=$with_develop])
 AC_MSG_RESULT($with_hardtabs)
-test "$with_hardtabs" = yes && AC_DEFINE(USE_HARD_TABS)
+test "$with_hardtabs" = yes && AC_DEFINE(USE_HARD_TABS, 1, [use hard tabs])
 
 AC_MSG_CHECKING(if you want to use restrict environment when running as root)
 AC_ARG_ENABLE(root-environ,
@@ -741,7 +741,7 @@
 	[with_root_environ=$enableval],
 	[with_root_environ=yes])
 AC_MSG_RESULT($with_root_environ)
-test "$with_root_environ" = yes && AC_DEFINE(USE_ROOT_ENVIRON)
+test "$with_root_environ" = yes && AC_DEFINE(USE_ROOT_ENVIRON, 1, [restrict root environment])
 
 ###   use option --enable-xmc-glitch to turn on use of magic-cookie optimize
 AC_MSG_CHECKING(if you want limited support for xmc)
@@ -750,7 +750,7 @@
 	[with_xmc_glitch=$enableval],
 	[with_xmc_glitch=$with_develop])
 AC_MSG_RESULT($with_xmc_glitch)
-test "$with_xmc_glitch" = yes && AC_DEFINE(USE_XMC_SUPPORT)
+test "$with_xmc_glitch" = yes && AC_DEFINE(USE_XMC_SUPPORT, 1, [Use XMC support])
 
 ###############################################################################
 # These are just experimental, probably should not be in a package:
@@ -762,7 +762,7 @@
 	[with_assumed_color=$enableval],
 	[with_assumed_color=yes])
 AC_MSG_RESULT($with_assumed_color)
-test "$with_assumed_color" = yes && AC_DEFINE(USE_ASSUMED_COLOR)
+test "$with_assumed_color" = yes && AC_DEFINE(USE_ASSUMED_COLOR, 1, [Use assumed color])
 
 ###   use option --enable-hashmap to turn on use of hashmap scrolling logic
 AC_MSG_CHECKING(if you want hashmap scrolling-optimization code)
@@ -771,7 +771,7 @@
 	[with_hashmap=$enableval],
 	[with_hashmap=yes])
 AC_MSG_RESULT($with_hashmap)
-test "$with_hashmap" = yes && AC_DEFINE(USE_HASHMAP)
+test "$with_hashmap" = yes && AC_DEFINE(USE_HASHMAP, 1, [Use hashmap])
 
 AC_MSG_CHECKING(if you want experimental safe-sprintf code)
 AC_ARG_ENABLE(safe-sprintf,
@@ -779,7 +779,7 @@
 	[with_safe_sprintf=$enableval],
 	[with_safe_sprintf=no])
 AC_MSG_RESULT($with_safe_sprintf)
-test "$with_safe_sprintf" = yes && AC_DEFINE(USE_SAFE_SPRINTF)
+test "$with_safe_sprintf" = yes && AC_DEFINE(USE_SAFE_SPRINTF, 1, [Use safe sprintf])
 
 ###   use option --disable-scroll-hints to turn off use of scroll-hints scrolling logic
 # when hashmap is used scroll hints are useless
@@ -790,7 +790,7 @@
 	[with_scroll_hints=$enableval],
 	[with_scroll_hints=yes])
 AC_MSG_RESULT($with_scroll_hints)
-test "$with_scroll_hints" = yes && AC_DEFINE(USE_SCROLL_HINTS)
+test "$with_scroll_hints" = yes && AC_DEFINE(USE_SCROLL_HINTS, 1, [Use scroll hints])
 fi
 
 ###   use option --enable-widec to turn on use of wide-character support
@@ -805,7 +805,7 @@
 AC_MSG_RESULT($with_widec)
 if test "$with_widec" = yes ; then
 	LIB_SUFFIX="w${LIB_SUFFIX}"
-	AC_DEFINE(USE_WIDEC_SUPPORT)
+	AC_DEFINE(USE_WIDEC_SUPPORT, 1, [wide-char/UTF8 support])
 	CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE_EXTENDED"
 	with_overwrite=no
 	NCURSES_CH_T=cchar_t
@@ -876,7 +876,7 @@
 then
 	if test "$with_assertions" = no
 	then
-		AC_DEFINE(NDEBUG)
+		AC_DEFINE(NDEBUG, 1, [Disable debugging])
 		CPPFLAGS="$CPPFLAGS -DNDEBUG"
 	else
 		ADAFLAGS="$ADAFLAGS -gnata"
@@ -886,25 +886,25 @@
 ###	use option --disable-leaks to suppress "permanent" leaks, for testing
 AC_ARG_ENABLE(leaks,
 	[  --disable-leaks         test: suppress permanent memory-leaks],
-	[test "$enableval" = no && AC_DEFINE(NO_LEAKS)])
-AC_DEFINE(HAVE_NC_ALLOC_H)
+	[test "$enableval" = no && AC_DEFINE(NO_LEAKS, 1, [suppress memory leaks])])
+AC_DEFINE(HAVE_NC_ALLOC_H, 1, [Define if you have nc/alloc.h])
 
 ###	use option --enable-expanded to generate certain macros as functions
 AC_ARG_ENABLE(expanded,
 	[  --enable-expanded       test: generate functions for certain macros],
-	[test "$enableval" = yes && AC_DEFINE(NCURSES_EXPANDED)])
+	[test "$enableval" = yes && AC_DEFINE(NCURSES_EXPANDED, 1, [generate functions for macros])])
 
 ###	use option --disable-macros to suppress macros in favor of functions
 AC_ARG_ENABLE(macros,
 	[  --disable-macros        test: use functions rather than macros],
-	[test "$enableval" = no && AC_DEFINE(NCURSES_NOMACROS)])
+	[test "$enableval" = no && AC_DEFINE(NCURSES_NOMACROS, 1, [Don't use macros])])
 
 ###	Checks for libraries.
 AC_CHECK_FUNC(gettimeofday,
-	AC_DEFINE(HAVE_GETTIMEOFDAY),[
+	AC_DEFINE(HAVE_GETTIMEOFDAY, 1, [Define if you have gettimeofday]),[
 
 AC_CHECK_LIB(bsd, gettimeofday,
-	AC_DEFINE(HAVE_GETTIMEOFDAY)
+	AC_DEFINE(HAVE_GETTIMEOFDAY, 1, [Define if you have gettimeofday])
 	LIBS="$LIBS -lbsd")])dnl CLIX: bzero, select, gettimeofday
 
 CF_MATH_LIB(MATH_LIB,sin(x))
@@ -948,7 +948,7 @@
 AC_LANG_C
 AC_C_CONST
 AC_C_INLINE
-test "$ac_cv_c_inline" != no && AC_DEFINE(CC_HAS_INLINE_FUNCS)
+test "$ac_cv_c_inline" != no && AC_DEFINE(CC_HAS_INLINE_FUNCS, 1, [Define if you have inline funcs])
 
 CF_TYPEOF_CHTYPE
 
@@ -1273,7 +1273,7 @@
 CF_SRC_MODULES($modules_to_build)
 CF_DIRS_TO_MAKE
 
-AC_DEFINE_UNQUOTED(NCURSES_PATHSEP,'$PATHSEP')
+AC_DEFINE_UNQUOTED(NCURSES_PATHSEP,'$PATHSEP',[Path separator])
 
 ### Now that we're done running tests, add the compiler-warnings, if any
 CFLAGS="$CFLAGS $EXTRA_CFLAGS"
